#include <QtGui>
#include <QtCore>

#include "parametre.h"
extern QString g_pathabsolu;
parametre::parametre(){
  setupUi(this);
  setAttribute(Qt::WA_DeleteOnClose);
  QString texte       = trUtf8("Pour lancer LectureAlertes à chaque démarrage de Manager,<br/>cliquez sur ce bouton.");
  QString texteHtml   = "<html><body><font size = 3 color = ""blue"">"+texte+"</font></body></html>";
  label               -> setText(texteHtml);
  label               -> setWordWrap(true);
  connect(pushButton,  SIGNAL(pressed()),this,SLOT(enregistre()));
  connect(pushButton_2,SIGNAL(pressed()),this,SLOT(close()));
}

parametre::~parametre(){}

void parametre::enregistre(){
  QFile fileManager(g_pathabsolu+"/../../../Manager/bin/Manager.ini");
  if(!fileManager.open(QIODevice::ReadWrite | QIODevice::Text)){
      QMessageBox::warning(0,trUtf8("Erreur"),trUtf8("manager.ini ne peut pas être ouvert.\nAssurez vous que le répertoire pensebetux soit bien dans Programmes."),QMessageBox::Ok);
      return;
  }
  QStringList listManager;
  QTextStream stream(&fileManager);
  while(!stream.atEnd()){
      QString line         = stream.readLine();
      if(line.contains("lecture_table_alarmes")){
          QMessageBox::warning(0,trUtf8("Erreur"),trUtf8("manager.ini semble avoir déjà été renseigné."),QMessageBox::Ok);
          return;
      }
      else{
          listManager << line;
          }
              
  }

  listManager << "[Accessoires]" 
              << "1=../../pensebetux/lecture_table_alarmes/bin/lecture_table_alarmes";
  fileManager.close();
  QFile fileManager2(g_pathabsolu+"/../../../Manager/bin/Manager.ini");
    if(!fileManager2.open(QIODevice::ReadWrite | QIODevice::Truncate)){
      QMessageBox::warning(0,trUtf8("Erreur"),trUtf8("manager.ini ne peut pas être ouvert.\nAssurez vous que le répertoire pensebetux soit bien dans Programmes."),QMessageBox::Ok);
    }
  QTextStream stream2(&fileManager2);
  for(int i = 0 ; i< listManager.size() ; i ++){
      qDebug() << listManager[i];
      stream2         << listManager[i]+"\n";
  }
  fileManager2.close();
  QMessageBox::information(0,trUtf8("Information"),trUtf8("Manager.ini a été renseigné."),QMessageBox::Ok);
}
